%global pkg_name network

%global common_summary Haskell %{pkg_name} library

%global common_description A Haskell network library.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.4.0.0
Version:        2.3.0.5
Release:        2.2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-parsec-prof
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc examples


%changelog
* Mon Jan 13 2014 Jens Petersen <petersen@redhat.com> - 2.3.0.5-2.2
- rebuild

* Fri Dec 27 2013 Jens Petersen <petersen@redhat.com> - 2.3.0.5-2.1
- add LICENSE to ghc_files and remove ghc_arches
- add el5 buildroot lines

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 28 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.5-1
- update to 2.3.0.5 for haskell-platform-2011.4.0.0
- cabal2spec-0.25.1
- includes examples in devel doc

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.0.2-5.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.0.2-5.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 2.3.0.2-5.1
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-5
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-4
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-3
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.3.0.2-2
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-1
- update to 2.3.0.2 for haskell-platform-2011.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Jens Petersen <petersen@redhat.com> - 2.3-2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 2.3-1
- update to 2.3

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-5
- update url and drop -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-4
- update to latest macros, hscolour and drop doc pkg (cabal2spec-0.22.2)
- part of haskell-platform-2010.2.0.0

* Fri Jun 25 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-3
- strip shared library (cabal2spec-0.21.4)

* Mon Apr 26 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-2
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Tue Mar 23 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-1
- update to 2.2.1.7 for haskell-platform-2010.1.0.0

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.5-1
- update to 2.2.1.5 (haskell-platform-2009.3.1)
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning

* Tue Sep 22 2009 Jens Petersen <petersen@redhat.com> - 2.2.1.4-2
- version ghcdocdir to avoid conflict with ghc-doc-6.10.4 (#523884)

* Wed Sep 16 2009 Jens Petersen <petersen@redhat.com> - 2.2.1.4-1
- initial packaging for Fedora created by cabal2spec
